# ipe::PdfArray Class Reference
Ipe Base

The PDF array object. More...

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

List of all members.

## Public Member Functions

- PdfArray ()
- ~PdfArray ()
- virtual const PdfArray * array () const
- virtual void write (Stream &stream) const
- void append (const PdfObj *)
- int count () const
- const PdfObj * obj (int index, const PdfFile *file) const

## Detailed Description

The PDF array object.

## Constructor & Destructor Documentation

ipe::PdfArray::PdfArray | ( |  | ) | `[inline, explicit]`

PdfArray::~PdfArray | ( |  | ) |

## Member Function Documentation

const PdfArray * PdfArray::array | ( |  | ) | const`[virtual]`

Return this object as PDF array object.

Reimplemented from ipe::PdfObj.

void PdfArray::write | ( | Stream & | stream | ) | const`[virtual]`

Implements ipe::PdfObj.

void PdfArray::append | ( | const PdfObj * | obj | ) |

Append an object to array.

Array takes ownership of the object.

int ipe::PdfArray::count | ( |  | ) | const`[inline]`

const PdfObj * PdfArray::obj | ( | int | index,
|  | const PdfFile * | file
| ) |  | const

Return object with index in array.

Indirect objects (references) are looked up if file is not zero, and the object referred to is returned (0 if it does not exist). Object remains owned by array.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp